HEVENT VXDINLINE
Call_VM_Event(void (__cdecl *pfnEvent)(), ULONG ulRefData, HVM hVM)
{
    HEVENT hevent;
	Touch_Register(ebx);

	_asm mov ebx, [hVM]
    _asm mov edx, [ulRefData]
    _asm mov esi, [pfnEvent]
    VMMCall(Call_VM_Event)
    _asm mov [hevent], esi
    return(hevent);
}

DWORD VXDINLINE
Get_Crit_Status_Thread(PDWORD pCount)
{
	DWORD dwCount, dwThread;
	Touch_Register(ecx);
	Touch_Register(edi);

	VMMCall(Get_Crit_Status_Thread)
	_asm mov [dwCount], ecx
	_asm mov [dwThread], edi
	*pCount = dwCount;
	return dwThread;
}

DWORD VXDINLINE
Get_Sys_Thread_Handle(void)
{
	DWORD dwThread;
	Touch_Register(edi);
	VMMCall(Get_Sys_Thread_Handle);
	_asm mov [dwThread], edi
	return dwThread;
}

#define CLIENT_DS 0x3c
#define CLIENT_SI 0x04
#define CLIENT_DI 0x00

DWORD VXDINLINE
Client_Ptr_Flat(unsigned char cSeg, unsigned char cReg)
{
	DWORD dwAddr;
	_asm	mov		ah, [cSeg]
	_asm	mov		al, [cReg]
	VMMCall(Map_Flat);
	_asm	mov		[dwAddr], eax
	return dwAddr;
}

DWORD VXDINLINE
_GetCurrentContext(void)
{
	DWORD ctx;
	VMMCall(_GetCurrentContext);
	_asm	mov		[ctx], eax
	return ctx;
}